# This file is part of yarn, a library for working with messaging systems.
# Copyright (C) 2004 Abe Fettig
#
# yarn is free software; you can redistribute it and/or
# modify it under the terms of version 2 of the GNU General
# Public License as published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

from twisted.trial import unittest
import os
from yarn.formats import rsd

class RSDTester(unittest.TestCase):
    
    def setUp(self):
        thisdir = os.path.split(__file__)[0]
        htmlfile = os.path.join(thisdir, 'files', 'rsd', 'rsd.xml')
        self.parser = rsd.RSDParser(file(htmlfile),
                      {'url': 'http://www.mysite.com/rsd.xml'})

    def testLinks(self):
        links = self.parser.getLinks('')
        links.sort()
        self.assertEquals(len(links), 1)
        self.assertEquals(links[0].url,
                          'metaweblog:http%3A//example.com/xml/rpc/url')
